Attribute VB_Name = "modApiERRORS"
'=====================================================
' Descrizione.....: Routine, di uso generale, per la
'                   visualizzazione delle informazioni
'                   di errore ritornate dalle API.
' Nome dei Files..: ApiERRORS.bas
' Data............: 27/10/1998
' Versione........: 2.0 a 32 bits
' Sistema.........: Visual Basic 6.0 sotto Windows NT.
' Scritto da......: F. Languasco 
' E-Mail..........: MC7061@mclink.it
'=====================================================
Option Explicit
'
Private Declare Function GetLastError Lib "kernel32" () As Long
'
'   Error Constant Definitions (519 valori):
'
Private Const ERROR_ACCESS_DENIED& = 5&
Private Const ERROR_ACCOUNT_DISABLED& = 1331&
Private Const ERROR_ACCOUNT_EXPIRED& = 1793&
Private Const ERROR_ACCOUNT_RESTRICTION& = 1327&
Private Const ERROR_ADAP_HDW_ERR& = 57&
Private Const ERROR_ALIAS_EXISTS& = 1379&
Private Const ERROR_ALLOTTED_SPACE_EXCEEDED& = 1344&
Private Const ERROR_ALREADY_ASSIGNED& = 85&
Private Const ERROR_ALREADY_EXISTS& = 183&
Private Const ERROR_ALREADY_INITIALIZED& = 1247&
Private Const ERROR_ALREADY_RUNNING_LKG& = 1074&
Private Const ERROR_ALREADY_WAITING& = 1904&
Private Const ERROR_ARENA_TRASHED& = 7&
Private Const ERROR_ARITHMETIC_OVERFLOW& = 534&
Private Const ERROR_ATOMIC_LOCKS_NOT_SUPPORTED& = 174&
Private Const ERROR_AUTODATASEG_EXCEEDS_64k& = 199&
Private Const ERROR_BAD_ARGUMENTS& = 160&
Private Const ERROR_BAD_COMMAND& = 22&
Private Const ERROR_BAD_DESCRIPTOR_FORMAT& = 1361&
Private Const ERROR_BAD_DEV_TYPE& = 66&
Private Const ERROR_BAD_DEVICE& = 1200&
Private Const ERROR_BAD_DRIVER& = 2001
Private Const ERROR_BAD_DRIVER_LEVEL& = 119&
Private Const ERROR_BAD_ENVIRONMENT& = 10&
Private Const ERROR_BAD_EXE_FORMAT& = 193&
Private Const ERROR_BAD_FORMAT& = 11&
Private Const ERROR_BAD_IMPERSONATION_LEVEL& = 1346&
Private Const ERROR_BAD_INHERITANCE_ACL& = 1340&
Private Const ERROR_BAD_LENGTH& = 24&
Private Const ERROR_BAD_LOGON_SESSION_STATE& = 1365&
Private Const ERROR_BAD_NET_NAME& = 67&
Private Const ERROR_BAD_NET_RESP& = 58&
Private Const ERROR_BAD_NETPATH& = 53&
Private Const ERROR_BAD_PATHNAME& = 161&
Private Const ERROR_BAD_PIPE& = 230&
Private Const ERROR_BAD_PROFILE& = 1206&
Private Const ERROR_BAD_PROVIDER& = 1204&
Private Const ERROR_BAD_REM_ADAP& = 60&
Private Const ERROR_BAD_THREADID_ADDR& = 159&
Private Const ERROR_BAD_TOKEN_TYPE& = 1349&
Private Const ERROR_BAD_UNIT& = 20&
Private Const ERROR_BAD_USERNAME& = 2202&
Private Const ERROR_BAD_VALIDATION_CLASS& = 1348&
Private Const ERROR_BADDB& = 1009&
Private Const ERROR_BADKEY& = 1010&
Private Const ERROR_BEGINNING_OF_MEDIA& = 1102&
Private Const ERROR_BOOT_ALREADY_ACCEPTED& = 1076&
Private Const ERROR_BROKEN_PIPE& = 109&
Private Const ERROR_BUFFER_OVERFLOW& = 111&
Private Const ERROR_BUS_RESET& = 1111&
Private Const ERROR_BUSY& = 170&
Private Const ERROR_BUSY_DRIVE& = 142&
Private Const ERROR_CALL_NOT_IMPLEMENTED& = 120&
Private Const ERROR_CAN_NOT_COMPLETE& = 1003&
Private Const ERROR_CAN_NOT_DEL_LOCAL_WINS& = 4001
Private Const ERROR_CANCEL_VIOLATION& = 173&
Private Const ERROR_CANNOT_COPY& = 266&
Private Const ERROR_CANNOT_FIND_WND_CLASS& = 1407&
Private Const ERROR_CANNOT_IMPERSONATE& = 1368&
Private Const ERROR_CANNOT_MAKE& = 82&
Private Const ERROR_CANNOT_OPEN_PROFILE& = 1205&
Private Const ERROR_CANT_ACCESS_DOMAIN_INFO& = 1351&
Private Const ERROR_CANT_DISABLE_MANDATORY& = 1310&
Private Const ERROR_CANT_OPEN_ANONYMOUS& = 1347&
Private Const ERROR_CANTOPEN& = 1011&
Private Const ERROR_CANTREAD& = 1012&
Private Const ERROR_CANTWRITE& = 1013&
Private Const ERROR_CHILD_MUST_BE_VOLATILE& = 1021&
Private Const ERROR_CHILD_NOT_COMPLETE& = 129&
Private Const ERROR_CHILD_WINDOW_MENU& = 1436&
Private Const ERROR_CIRCULAR_DEPENDENCY& = 1059&
Private Const ERROR_CLASS_ALREADY_EXISTS& = 1410&
Private Const ERROR_CLASS_DOES_NOT_EXIST& = 1411&
Private Const ERROR_CLASS_HAS_WINDOWS& = 1412&
Private Const ERROR_CLIPBOARD_NOT_OPEN& = 1418&
Private Const ERROR_CLIPPING_NOT_SUPPORTED& = 2005
Private Const ERROR_CONNECTION_UNAVAIL& = 1201&
Private Const ERROR_CONTROL_ID_NOT_FOUND& = 1421&
Private Const ERROR_COUNTER_TIMEOUT& = 1121&
Private Const ERROR_CRC& = 23&
Private Const ERROR_CURRENT_DIRECTORY& = 16&
Private Const ERROR_DATABASE_DOES_NOT_EXIST& = 1065&
Private Const ERROR_DC_NOT_FOUND& = 1425&
Private Const ERROR_DEPENDENT_SERVICES_RUNNING& = 1051&
Private Const ERROR_DESTROY_OBJECT_OF_OTHER_THREAD& = 1435&
Private Const ERROR_DEV_NOT_EXIST& = 55
Private Const ERROR_DEVICE_ALREADY_REMEMBERED& = 1202&
Private Const ERROR_DEVICE_IN_USE& = 2404&
Private Const ERROR_DEVICE_NOT_PARTITIONED& = 1107&
Private Const ERROR_DIR_NOT_EMPTY& = 145&
Private Const ERROR_DIR_NOT_ROOT& = 144&
Private Const ERROR_DIRECT_ACCESS_HANDLE& = 130&
Private Const ERROR_DIRECTORY& = 267&
Private Const ERROR_DISCARDED& = 157&
Private Const ERROR_DISK_CHANGE& = 107&
Private Const ERROR_DISK_CORRUPT& = 1393&
Private Const ERROR_DISK_FULL& = 112&
Private Const ERROR_DISK_OPERATION_FAILED& = 1127&
Private Const ERROR_DISK_RECALIBRATE_FAILED& = 1126&
Private Const ERROR_DISK_RESET_FAILED& = 1128&
Private Const ERROR_DLL_INIT_FAILED& = 1114&
Private Const ERROR_DOMAIN_EXISTS& = 1356&
Private Const ERROR_DOMAIN_LIMIT_EXCEEDED& = 1357&
Private Const ERROR_DOMAIN_TRUST_INCONSISTENT& = 1810&
Private Const ERROR_DRIVE_LOCKED& = 108&
Private Const ERROR_DUP_DOMAINNAME& = 1221&
Private Const ERROR_DUP_NAME& = 52&
Private Const ERROR_DUPLICATE_SERVICE_NAME& = 1078&
Private Const ERROR_DYNLINK_FROM_INVALID_RING& = 196&
Private Const ERROR_EA_ACCESS_DENIED& = 994&
Private Const ERROR_EA_FILE_CORRUPT& = 276&
Private Const ERROR_EA_LIST_INCONSISTENT& = 255&
Private Const ERROR_EA_TABLE_FULL& = 277&
Private Const ERROR_EAS_DIDNT_FIT& = 275&
Private Const ERROR_EAS_NOT_SUPPORTED& = 282&
Private Const ERROR_END_OF_MEDIA& = 1100&
Private Const ERROR_ENVVAR_NOT_FOUND& = 203&
Private Const ERROR_EOM_OVERFLOW& = 1129&
Private Const ERROR_EVENTLOG_CANT_START& = 1501&
Private Const ERROR_EVENTLOG_FILE_CHANGED& = 1503&
Private Const ERROR_EVENTLOG_FILE_CORRUPT& = 1500&
Private Const ERROR_EXCEPTION_IN_SERVICE& = 1064&
Private Const ERROR_EXCL_SEM_ALREADY_OWNED& = 101&
Private Const ERROR_EXE_MARKED_INVALID& = 192&
Private Const ERROR_EXTENDED_ERROR& = 1208&
Private Const ERROR_FAIL_I24& = 83&
Private Const ERROR_FAILED_SERVICE_CONTROLLER_CONNECT& = 1063&
Private Const ERROR_FILE_CORRUPT& = 1392&
Private Const ERROR_FILE_EXISTS& = 80&
Private Const ERROR_FILE_INVALID& = 1006&
Private Const ERROR_FILE_NOT_FOUND& = 2&
Private Const ERROR_FILEMARK_DETECTED& = 1101&
Private Const ERROR_FILENAME_EXCED_RANGE& = 206&
Private Const ERROR_FLOPPY_BAD_REGISTERS& = 1125&
Private Const ERROR_FLOPPY_ID_MARK_NOT_FOUND& = 1122&
Private Const ERROR_FLOPPY_UNKNOWN_ERROR& = 1124&
Private Const ERROR_FLOPPY_WRONG_CYLINDER& = 1123&
Private Const ERROR_FULL_BACKUP& = 4004
Private Const ERROR_FULLSCREEN_MODE& = 1007&
Private Const ERROR_GEN_FAILURE& = 31&
Private Const ERROR_GENERIC_NOT_MAPPED& = 1360&
Private Const ERROR_GROUP_EXISTS& = 1318&
Private Const ERROR_HANDLE_DISK_FULL& = 39&
Private Const ERROR_HANDLE_EOF& = 38&
Private Const ERROR_HOOK_NEEDS_HMOD& = 1428&
Private Const ERROR_HOOK_NOT_INSTALLED& = 1431&
Private Const ERROR_HOTKEY_ALREADY_REGISTERED& = 1409&
Private Const ERROR_HOTKEY_NOT_REGISTERED& = 1419&
Private Const ERROR_HWNDS_HAVE_DIFF_PARENT& = 1441&
Private Const ERROR_ILL_FORMED_PASSWORD& = 1324&
Private Const ERROR_INC_BACKUP& = 4003
Private Const ERROR_INFLOOP_IN_RELOC_CHAIN& = 202&
Private Const ERROR_INSUFFICIENT_BUFFER& = 122
Private Const ERROR_INTERNAL_DB_CORRUPTION& = 1358&
Private Const ERROR_INTERNAL_DB_ERROR& = 1383&
Private Const ERROR_INTERNAL_ERROR& = 1359&
Private Const ERROR_INVALID_ACCEL_HANDLE& = 1403&
Private Const ERROR_INVALID_ACCESS& = 12&
Private Const ERROR_INVALID_ACCOUNT_NAME& = 1315&
Private Const ERROR_INVALID_ACL& = 1336&
Private Const ERROR_INVALID_ADDRESS& = 487&
Private Const ERROR_INVALID_AT_INTERRUPT_TIME& = 104&
Private Const ERROR_INVALID_BLOCK& = 9&
Private Const ERROR_INVALID_BLOCK_LENGTH& = 1106&
Private Const ERROR_INVALID_CATEGORY& = 117&
Private Const ERROR_INVALID_COMBOBOX_MESSAGE& = 1422&
Private Const ERROR_INVALID_COMPUTERNAME& = 1210&
Private Const ERROR_INVALID_CURSOR_HANDLE& = 1402&
Private Const ERROR_INVALID_DATA& = 13&
Private Const ERROR_INVALID_DATATYPE& = 1804&
Private Const ERROR_INVALID_DOMAIN_ROLE& = 1354&
Private Const ERROR_INVALID_DOMAIN_STATE& = 1353&
Private Const ERROR_INVALID_DOMAINNAME& = 1212&
Private Const ERROR_INVALID_DRIVE& = 15&
Private Const ERROR_INVALID_DWP_HANDLE& = 1405&
Private Const ERROR_INVALID_EA_HANDLE& = 278&
Private Const ERROR_INVALID_EA_NAME& = 254&
Private Const ERROR_INVALID_EDIT_HEIGHT& = 1424&
Private Const ERROR_INVALID_ENVIRONMENT& = 1805&
Private Const ERROR_INVALID_EVENT_COUNT& = 151&
Private Const ERROR_INVALID_EVENTNAME& = 1211&
Private Const ERROR_INVALID_EXE_SIGNATURE& = 191&
Private Const ERROR_INVALID_FILTER_PROC& = 1427&
Private Const ERROR_INVALID_FLAG_NUMBER& = 186&
Private Const ERROR_INVALID_FLAGS& = 1004&
Private Const ERROR_INVALID_FORM_NAME& = 1902&
Private Const ERROR_INVALID_FORM_SIZE& = 1903&
Private Const ERROR_INVALID_FUNCTION& = 1
Private Const ERROR_INVALID_GROUP_ATTRIBUTES& = 1345&
Private Const ERROR_INVALID_GROUPNAME& = 1209&
Private Const ERROR_INVALID_GW_COMMAND& = 1443&
Private Const ERROR_INVALID_HANDLE& = 6&
Private Const ERROR_INVALID_HOOK_FILTER& = 1426&
Private Const ERROR_INVALID_HOOK_HANDLE& = 1404&
Private Const ERROR_INVALID_ICON_HANDLE& = 1414&
Private Const ERROR_INVALID_ID_AUTHORITY& = 1343&
Private Const ERROR_INVALID_INDEX& = 1413&
Private Const ERROR_INVALID_LB_MESSAGE& = 1432&
Private Const ERROR_INVALID_LEVEL& = 124&
Private Const ERROR_INVALID_LIST_FORMAT& = 153&
Private Const ERROR_INVALID_LOGON_HOURS& = 1328&
Private Const ERROR_INVALID_LOGON_TYPE& = 1367&
Private Const ERROR_INVALID_MEMBER& = 1388&
Private Const ERROR_INVALID_MENU_HANDLE& = 1401&
Private Const ERROR_INVALID_MESSAGE& = 1002&
Private Const ERROR_INVALID_MESSAGEDEST& = 1218&
Private Const ERROR_INVALID_MESSAGENAME& = 1217&
Private Const ERROR_INVALID_MINALLOCSIZE& = 195&
Private Const ERROR_INVALID_MODULETYPE& = 190&
Private Const ERROR_INVALID_MSGBOX_STYLE& = 1438&
Private Const ERROR_INVALID_NAME& = 123&
Private Const ERROR_INVALID_NETNAME& = 1214&
Private Const ERROR_INVALID_ORDINAL& = 182&
Private Const ERROR_INVALID_OWNER& = 1307&
Private Const ERROR_INVALID_PARAMETER& = 87
Private Const ERROR_INVALID_PASSWORD& = 86&
Private Const ERROR_INVALID_PASSWORDNAME& = 1216&
Private Const ERROR_INVALID_PIXEL_FORMAT& = 2000
Private Const ERROR_INVALID_PRIMARY_GROUP& = 1308&
Private Const ERROR_INVALID_PRINTER_COMMAND& = 1803&
Private Const ERROR_INVALID_PRINTER_NAME& = 1801&
Private Const ERROR_INVALID_PRINTER_STATE& = 1906&
Private Const ERROR_INVALID_PRIORITY& = 1800&
Private Const ERROR_INVALID_SCROLLBAR_RANGE& = 1448&
Private Const ERROR_INVALID_SECURITY_DESCR& = 1338&
Private Const ERROR_INVALID_SEGDPL& = 198&
Private Const ERROR_INVALID_SEGMENT_NUMBER& = 180&
Private Const ERROR_INVALID_SEPARATOR_FILE& = 1799&
Private Const ERROR_INVALID_SERVER_STATE& = 1352&
Private Const ERROR_INVALID_SERVICE_ACCOUNT& = 1057&
Private Const ERROR_INVALID_SERVICE_CONTROL& = 1052&
Private Const ERROR_INVALID_SERVICE_LOCK& = 1071&
Private Const ERROR_INVALID_SERVICENAME& = 1213&
Private Const ERROR_INVALID_SHARENAME& = 1215&
Private Const ERROR_INVALID_SHOWWIN_COMMAND& = 1449&
Private Const ERROR_INVALID_SID& = 1337&
Private Const ERROR_INVALID_SIGNAL_NUMBER& = 209&
Private Const ERROR_INVALID_SPI_VALUE& = 1439&
Private Const ERROR_INVALID_STACKSEG& = 189&
Private Const ERROR_INVALID_STARTING_CODESEG& = 188&
Private Const ERROR_INVALID_SUB_AUTHORITY& = 1335&
Private Const ERROR_INVALID_TARGET_HANDLE& = 114&
Private Const ERROR_INVALID_THREAD_ID& = 1444&
Private Const ERROR_INVALID_TIME& = 1901&
Private Const ERROR_INVALID_USER_BUFFER& = 1784&
Private Const ERROR_INVALID_VERIFY_SWITCH& = 118&
Private Const ERROR_INVALID_WINDOW_HANDLE& = 1400&
Private Const ERROR_INVALID_WINDOW_STYLE& = 2002
Private Const ERROR_INVALID_WORKSTATION& = 1329&
Private Const ERROR_IO_DEVICE& = 1117&
Private Const ERROR_IO_INCOMPLETE& = 996&
Private Const ERROR_IO_PENDING& = 997
Private Const ERROR_IOPL_NOT_ENABLED& = 197&
Private Const ERROR_IRQ_BUSY& = 1119&
Private Const ERROR_IS_JOIN_PATH& = 147&
Private Const ERROR_IS_JOIN_TARGET& = 133&
Private Const ERROR_IS_JOINED& = 134&
Private Const ERROR_IS_SUBST_PATH& = 146&
Private Const ERROR_IS_SUBST_TARGET& = 149&
Private Const ERROR_IS_SUBSTED& = 135&
Private Const ERROR_ITERATED_DATA_EXCEEDS_64k& = 194&
Private Const ERROR_JOIN_TO_JOIN& = 138&
Private Const ERROR_JOIN_TO_SUBST& = 140&
Private Const ERROR_JOURNAL_HOOK_SET& = 1430&
Private Const ERROR_KEY_DELETED& = 1018&
Private Const ERROR_KEY_HAS_CHILDREN& = 1020&
Private Const ERROR_LABEL_TOO_LONG& = 154&
Private Const ERROR_LAST_ADMIN& = 1322&
Private Const ERROR_LB_WITHOUT_TABSTOPS& = 1434&
Private Const ERROR_LISTBOX_ID_NOT_FOUND& = 1416&
Private Const ERROR_LM_CROSS_ENCRYPTION_REQUIRED& = 1390&
Private Const ERROR_LOCAL_USER_SESSION_KEY& = 1303&
Private Const ERROR_LOCK_FAILED& = 167&
Private Const ERROR_LOCK_VIOLATION& = 33&
Private Const ERROR_LOCKED& = 212&
Private Const ERROR_LOG_FILE_FULL& = 1502&
Private Const ERROR_LOGON_FAILURE& = 1326&
Private Const ERROR_LOGON_NOT_GRANTED& = 1380&
Private Const ERROR_LOGON_SESSION_COLLISION& = 1366&
Private Const ERROR_LOGON_SESSION_EXISTS& = 1363&
Private Const ERROR_LOGON_TYPE_NOT_GRANTED& = 1385&
Private Const ERROR_LUIDS_EXHAUSTED& = 1334&
Private Const ERROR_MAPPED_ALIGNMENT& = 1132&
Private Const ERROR_MAX_THRDS_REACHED& = 164&
Private Const ERROR_MEDIA_CHANGED& = 1110&
Private Const ERROR_MEMBER_IN_ALIAS& = 1378&
Private Const ERROR_MEMBER_IN_GROUP& = 1320&
Private Const ERROR_MEMBER_NOT_IN_ALIAS& = 1377&
Private Const ERROR_MEMBER_NOT_IN_GROUP& = 1321&
Private Const ERROR_MEMBERS_PRIMARY_GROUP& = 1374&
Private Const ERROR_META_EXPANSION_TOO_LONG& = 208&
Private Const ERROR_METAFILE_NOT_SUPPORTED& = 2003
Private Const ERROR_MOD_NOT_FOUND& = 126&
Private Const ERROR_MORE_DATA& = 234
Private Const ERROR_MORE_WRITES& = 1120&
Private Const ERROR_MR_MID_NOT_FOUND& = 317&
Private Const ERROR_NEGATIVE_SEEK& = 131&
Private Const ERROR_NESTING_NOT_ALLOWED& = 215&
Private Const ERROR_NET_WRITE_FAULT& = 88&
Private Const ERROR_NETLOGON_NOT_STARTED& = 1792&
Private Const ERROR_NETNAME_DELETED& = 64&
Private Const ERROR_NETWORK_ACCESS_DENIED& = 65&
Private Const ERROR_NETWORK_BUSY& = 54&
Private Const ERROR_NO_BROWSER_SERVERS_FOUND& = 6118&
Private Const ERROR_NO_DATA& = 232&
Private Const ERROR_NO_DATA_DETECTED& = 1104&
Private Const ERROR_NO_IMPERSONATION_TOKEN& = 1309&
Private Const ERROR_NO_INHERITANCE& = 1391&
Private Const ERROR_NO_LOG_SPACE& = 1019&
Private Const ERROR_NO_LOGON_SERVERS& = 1311&
Private Const ERROR_NO_MEDIA_IN_DRIVE& = 1112&
Private Const ERROR_NO_MORE_DEVICES& = 1248&
Private Const ERROR_NO_MORE_FILES& = 18&
Private Const ERROR_NO_MORE_ITEMS& = 259&
Private Const ERROR_NO_MORE_SEARCH_HANDLES& = 113&
Private Const ERROR_NO_NET_OR_BAD_PATH& = 1203&
Private Const ERROR_NO_NETWORK& = 1222&
Private Const ERROR_NO_PROC_SLOTS& = 89&
Private Const ERROR_NO_QUOTAS_FOR_ACCOUNT& = 1302&
Private Const ERROR_NO_SCROLLBARS& = 1447&
Private Const ERROR_NO_SECURITY_ON_OBJECT& = 1350&
Private Const ERROR_NO_SHUTDOWN_IN_PROGRESS& = 1116&
Private Const ERROR_NO_SIGNAL_SENT& = 205&
Private Const ERROR_NO_SPOOL_SPACE& = 62&
Private Const ERROR_NO_SUCH_ALIAS& = 1376&
Private Const ERROR_NO_SUCH_DOMAIN& = 1355&
Private Const ERROR_NO_SUCH_GROUP& = 1319&
Private Const ERROR_NO_SUCH_LOGON_SESSION& = 1312&
Private Const ERROR_NO_SUCH_MEMBER& = 1387&
Private Const ERROR_NO_SUCH_PACKAGE& = 1364&
Private Const ERROR_NO_SUCH_PRIVILEGE& = 1313&
Private Const ERROR_NO_SUCH_USER& = 1317&
Private Const ERROR_NO_SYSTEM_MENU& = 1437&
Private Const ERROR_NO_TOKEN& = 1008&
Private Const ERROR_NO_TRUST_LSA_SECRET& = 1786&
Private Const ERROR_NO_TRUST_SAM_ACCOUNT& = 1787&
Private Const ERROR_NO_UNICODE_TRANSLATION& = 1113&
Private Const ERROR_NO_USER_SESSION_KEY& = 1394&
Private Const ERROR_NO_VOLUME_LABEL& = 125&
Private Const ERROR_NO_WILDCARD_CHARACTERS& = 1417&
Private Const ERROR_NOACCESS& = 998&
Private Const ERROR_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT& = 1807&
Private Const ERROR_NOLOGON_SERVER_TRUST_ACCOUNT& = 1809&
Private Const ERROR_NOLOGON_WORKSTATION_TRUST_ACCOUNT& = 1808&
Private Const ERROR_NON_MDICHILD_WINDOW& = 1445&
Private Const ERROR_NONE_MAPPED& = 1332&
Private Const ERROR_NOT_ALL_ASSIGNED& = 1300&
Private Const ERROR_NOT_AUTHENTICATED& = 1244&
Private Const ERROR_NOT_CHILD_WINDOW& = 1442&
Private Const ERROR_NOT_CONNECTED& = 2250&
Private Const ERROR_NOT_CONTAINER& = 1207&
Private Const ERROR_NOT_DOS_DISK& = 26&
Private Const ERROR_NOT_ENOUGH_MEMORY& = 8
Private Const ERROR_NOT_ENOUGH_QUOTA& = 1816&
Private Const ERROR_NOT_ENOUGH_SERVER_MEMORY& = 1130&
Private Const ERROR_NOT_JOINED& = 136&
Private Const ERROR_NOT_LOCKED& = 158&
Private Const ERROR_NOT_LOGGED_ON& = 1245&
Private Const ERROR_NOT_LOGON_PROCESS& = 1362&
Private Const ERROR_NOT_OWNER& = 288&
Private Const ERROR_NOT_READY& = 21&
Private Const ERROR_NOT_REGISTRY_FILE& = 1017&
Private Const ERROR_NOT_SAME_DEVICE& = 17&
Private Const ERROR_NOT_SUBSTED& = 137&
Private Const ERROR_NOT_SUPPORTED& = 50&
Private Const ERROR_NOTIFY_ENUM_DIR& = 1022&
Private Const ERROR_NT_CROSS_ENCRYPTION_REQUIRED& = 1386&
Private Const ERROR_NULL_LM_PASSWORD& = 1304&
Private Const ERROR_OPEN_FAILED& = 110&
Private Const ERROR_OPEN_FILES& = 2401&
Private Const ERROR_OPERATION_ABORTED& = 995&
Private Const ERROR_OUT_OF_PAPER& = 28&
Private Const ERROR_OUT_OF_STRUCTURES& = 84&
Private Const ERROR_OUTOFMEMORY& = 14&
Private Const ERROR_PARTITION_FAILURE& = 1105&
Private Const ERROR_PASSWORD_EXPIRED& = 1330&
Private Const ERROR_PASSWORD_RESTRICTION& = 1325&
Private Const ERROR_PATH_BUSY& = 148&
Private Const ERROR_PATH_NOT_FOUND& = 3&
Private Const ERROR_PIPE_BUSY& = 231&
Private Const ERROR_PIPE_CONNECTED& = 535&
Private Const ERROR_PIPE_LISTENING& = 536&
Private Const ERROR_PIPE_NOT_CONNECTED& = 233&
Private Const ERROR_POPUP_ALREADY_ACTIVE& = 1446&
Private Const ERROR_POSSIBLE_DEADLOCK& = 1131&
Private Const ERROR_PRINT_CANCELLED& = 63&
Private Const ERROR_PRINT_MONITOR_ALREADY_INSTALLED& = 3006
Private Const ERROR_PRINT_PROCESSOR_ALREADY_INSTALLED& = 3005
Private Const ERROR_PRINTER_ALREADY_EXISTS& = 1802&
Private Const ERROR_PRINTER_DELETED& = 1905&
Private Const ERROR_PRINTER_DRIVER_ALREADY_INSTALLED& = 1795&
Private Const ERROR_PRINTER_DRIVER_IN_USE& = 3001
Private Const ERROR_PRINTQ_FULL& = 61&
Private Const ERROR_PRIVATE_DIALOG_INDEX& = 1415&
Private Const ERROR_PRIVILEGE_NOT_HELD& = 1314&
Private Const ERROR_PROC_NOT_FOUND& = 127&
Private Const ERROR_PROCESS_ABORTED& = 1067&
Private Const ERROR_PUBLIC_ONLY_HOOK& = 1429&
Private Const ERROR_READ_FAULT& = 30&
Private Const ERROR_REC_NON_EXISTENT& = 4005
Private Const ERROR_REDIR_PAUSED& = 72&
Private Const ERROR_REDIRECTOR_HAS_OPEN_HANDLES& = 1794&
Private Const ERROR_REGISTRY_CORRUPT& = 1015&
Private Const ERROR_REGISTRY_IO_FAILED& = 1016&
Private Const ERROR_REGISTRY_RECOVERED& = 1014&
Private Const ERROR_RELOC_CHAIN_XEEDS_SEGLIM& = 201&
Private Const ERROR_REM_NOT_LIST& = 51&
Private Const ERROR_REMOTE_SESSION_LIMIT_EXCEEDED& = 1220&
Private Const ERROR_REQ_NOT_ACCEP& = 71&
Private Const ERROR_RESOURCE_DATA_NOT_FOUND& = 1812&
Private Const ERROR_RESOURCE_LANG_NOT_FOUND& = 1815&
Private Const ERROR_RESOURCE_NAME_NOT_FOUND& = 1814&
Private Const ERROR_RESOURCE_TYPE_NOT_FOUND& = 1813&
Private Const ERROR_REVISION_MISMATCH& = 1306&
Private Const ERROR_RING2_STACK_IN_USE& = 207&
Private Const ERROR_RING2SEG_MUST_BE_MOVABLE& = 200&
Private Const ERROR_RPL_NOT_ALLOWED& = 4006
Private Const ERROR_RXACT_COMMIT_FAILURE& = 1370&
Private Const ERROR_RXACT_INVALID_STATE& = 1369&
Private Const ERROR_SAME_DRIVE& = 143&
Private Const ERROR_SCREEN_ALREADY_LOCKED& = 1440&
Private Const ERROR_SECRET_TOO_LONG& = 1382&
Private Const ERROR_SECTOR_NOT_FOUND& = 27&
Private Const ERROR_SEEK& = 25&
Private Const ERROR_SEEK_ON_DEVICE& = 132&
Private Const ERROR_SEM_IS_SET& = 102&
Private Const ERROR_SEM_NOT_FOUND& = 187&
Private Const ERROR_SEM_OWNER_DIED& = 105&
Private Const ERROR_SEM_TIMEOUT& = 121&
Private Const ERROR_SEM_USER_LIMIT& = 106&
Private Const ERROR_SERIAL_NO_DEVICE& = 1118&
Private Const ERROR_SERVER_DISABLED& = 1341&
Private Const ERROR_SERVER_HAS_OPEN_HANDLES& = 1811&
Private Const ERROR_SERVER_NOT_DISABLED& = 1342&
Private Const ERROR_SERVICE_ALREADY_RUNNING& = 1056&
Private Const ERROR_SERVICE_CANNOT_ACCEPT_CTRL& = 1061&
Private Const ERROR_SERVICE_DATABASE_LOCKED& = 1055&
Private Const ERROR_SERVICE_DEPENDENCY_DELETED& = 1075&
Private Const ERROR_SERVICE_DEPENDENCY_FAIL& = 1068&
Private Const ERROR_SERVICE_DISABLED& = 1058&
Private Const ERROR_SERVICE_DOES_NOT_EXIST& = 1060&
Private Const ERROR_SERVICE_EXISTS& = 1073&
Private Const ERROR_SERVICE_LOGON_FAILED& = 1069&
Private Const ERROR_SERVICE_MARKED_FOR_DELETE& = 1072&
Private Const ERROR_SERVICE_NEVER_STARTED& = 1077&
Private Const ERROR_SERVICE_NO_THREAD& = 1054&
Private Const ERROR_SERVICE_NOT_ACTIVE& = 1062&
Private Const ERROR_SERVICE_REQUEST_TIMEOUT& = 1053&
Private Const ERROR_SERVICE_SPECIFIC_ERROR& = 1066&
Private Const ERROR_SERVICE_START_HANG& = 1070&
Private Const ERROR_SESSION_CREDENTIAL_CONFLICT& = 1219&
Private Const ERROR_SETCOUNT_ON_BAD_LB& = 1433&
Private Const ERROR_SETMARK_DETECTED& = 1103&
Private Const ERROR_SEVERITY_ERROR& = &HC0000000
Private Const ERROR_SEVERITY_INFORMATIONAL& = &H40000000
Private Const ERROR_SEVERITY_SUCCESS& = &H0
Private Const ERROR_SEVERITY_WARNING& = &H80000000
Private Const ERROR_SHARING_BUFFER_EXCEEDED& = 36&
Private Const ERROR_SHARING_PAUSED& = 70&
Private Const ERROR_SHARING_VIOLATION& = 32&
Private Const ERROR_SHUTDOWN_IN_PROGRESS& = 1115&
Private Const ERROR_SIGNAL_PENDING& = 162&
Private Const ERROR_SIGNAL_REFUSED& = 156&
Private Const ERROR_SOME_NOT_MAPPED& = 1301&
Private Const ERROR_SPECIAL_ACCOUNT& = 1371&
Private Const ERROR_SPECIAL_GROUP& = 1372&
Private Const ERROR_SPECIAL_USER& = 1373&
Private Const ERROR_SPL_NO_ADDJOB& = 3004
Private Const ERROR_SPL_NO_STARTDOC& = 3003
Private Const ERROR_SPOOL_FILE_NOT_FOUND& = 3002
Private Const ERROR_STACK_OVERFLOW& = 1001&
Private Const ERROR_STATIC_INIT& = 4002
Private Const ERROR_SUBST_TO_JOIN& = 141&
Private Const ERROR_SUBST_TO_SUBST& = 139&
Private Const ERROR_SUCCESS& = 0&
Private Const ERROR_SWAPERROR& = 999&
Private Const ERROR_SYSTEM_TRACE& = 150&
Private Const ERROR_THREAD_1_INACTIVE& = 210&
Private Const ERROR_TLW_WITH_WSCHILD& = 1406&
Private Const ERROR_TOKEN_ALREADY_IN_USE& = 1375&
Private Const ERROR_TOO_MANY_CMDS& = 56&
Private Const ERROR_TOO_MANY_CONTEXT_IDS& = 1384&
Private Const ERROR_TOO_MANY_LUIDS_REQUESTED& = 1333&
Private Const ERROR_TOO_MANY_MODULES& = 214&
Private Const ERROR_TOO_MANY_MUXWAITERS& = 152&
Private Const ERROR_TOO_MANY_NAMES& = 68&
Private Const ERROR_TOO_MANY_OPEN_FILES& = 4&
Private Const ERROR_TOO_MANY_POSTS& = 298&
Private Const ERROR_TOO_MANY_SECRETS& = 1381&
Private Const ERROR_TOO_MANY_SEM_REQUESTS& = 103&
Private Const ERROR_TOO_MANY_SEMAPHORES& = 100&
Private Const ERROR_TOO_MANY_SESS& = 69&
Private Const ERROR_TOO_MANY_SIDS& = 1389&
Private Const ERROR_TOO_MANY_TCBS& = 155&
Private Const ERROR_TRANSFORM_NOT_SUPPORTED& = 2004
Private Const ERROR_TRUST_FAILURE& = 1790&
Private Const ERROR_TRUSTED_DOMAIN_FAILURE& = 1788&
Private Const ERROR_TRUSTED_RELATIONSHIP_FAILURE& = 1789&
Private Const ERROR_UNABLE_TO_LOCK_MEDIA& = 1108&
Private Const ERROR_UNABLE_TO_UNLOAD_MEDIA& = 1109&
Private Const ERROR_UNEXP_NET_ERR& = 59&
Private Const ERROR_UNKNOWN_PORT& = 1796&
Private Const ERROR_UNKNOWN_PRINT_MONITOR& = 3000
Private Const ERROR_UNKNOWN_PRINTER_DRIVER& = 1797&
Private Const ERROR_UNKNOWN_PRINTPROCESSOR& = 1798&
Private Const ERROR_UNKNOWN_REVISION& = 1305&
Private Const ERROR_UNRECOGNIZED_MEDIA& = 1785&
Private Const ERROR_UNRECOGNIZED_VOLUME& = 1005&
Private Const ERROR_USER_EXISTS& = 1316&
Private Const ERROR_VC_DISCONNECTED& = 240&
Private Const ERROR_WAIT_NO_CHILDREN& = 128&
Private Const ERROR_WINDOW_NOT_COMBOBOX& = 1423&
Private Const ERROR_WINDOW_NOT_DIALOG& = 1420&
Private Const ERROR_WINDOW_OF_OTHER_THREAD& = 1408&
Private Const ERROR_WINS_INTERNAL& = 4000
Private Const ERROR_WRITE_FAULT& = 29&
Private Const ERROR_WRITE_PROTECT& = 19&
Private Const ERROR_WRONG_DISK& = 34&
Private Const ERROR_WRONG_PASSWORD& = 1323&

Public Sub ApiError()
'
'
    Dim ErroreN&, ErrD$
'
'
    ErroreN = GetLastError
'
    ErrD$ = DescrizioneErrore(ErroreN)
    If ErrD$ <> "" Then
        MsgBox ErrD$, vbCritical, " ApiError"
'
    Else
        Stop    ' Il codice di errore ErroreN non e'
                ' ancora presente. Cercarlo con Find
                ' nelle costanti di Declarations e
                ' aggiungerlo a DescrizioneErrore.
    End If
'
'
'
End Sub


Private Function DescrizioneErrore(ByVal ErroreN&)
'
'   Tabella degli errori.
'   Agg: 28/7/00
'
    Select Case ErroreN
        Case 0
        DescrizioneErrore = "ERROR_SUCCESS"
        Case 6
        DescrizioneErrore = "ERROR_INVALID_HANDLE"
        Case 160
        DescrizioneErrore = "ERROR_BAD_ARGUMENTS"
        Case 1003
        DescrizioneErrore = "ERROR_CAN_NOT_COMPLETE"
'
        Case Else
        DescrizioneErrore = ""
    End Select
'
'
'
End Function
