Attribute VB_Name = "modUtilita"
Option Explicit
'
' Temporary files API:
Private Const MAX_PATH& = 260
Private Declare Function GetTempPath Lib "kernel32" _
Alias "GetTempPathA" (ByVal nBufferLength As Long _
, ByVal lpBuffer As String) As Long
Private Declare Function GetTempFileName Lib "kernel32" _
Alias "GetTempFileNameA" (ByVal lpszPath As String _
, ByVal lpPrefixString As String, ByVal wUnique As Long _
, ByVal lpTempFileName As String) As Long
Public Function IsLoaded(ByVal F_Form As Form) As Boolean
'
'   Ritorna True se il Form F_Form e' gia' caricato in memoria:
'
    Dim X&
'
    For X = 0 To Forms.Count - 1
        If Forms(X) Is F_Form Then
            IsLoaded = True
            Exit Function
        End If
    Next X
'
    IsLoaded = False
'
'
'
End Function


Public Function BreakDown(ByVal Full$, Optional ByRef PName$ _
    , Optional ByRef FName$, Optional ByRef Ext$) As Boolean
'
'   Scompone un nome di File completo di Path nelle sue parti:
'   Full$  = Nome completo del File.
'   PName$ = Path del File (con \ finale).
'   FName$ = Nome del File con Estensione.
'   Ext$   = .Estensione del File.
'
'   Se il File non esiste scompone il nome e ritorna False.
'
    Dim Sloc&, Dot&
'
    BreakDown = FileExists(Full$)
'
    If InStr(Full$, "\") Then
        FName$ = Full$
        PName$ = ""
        Sloc = InStr(FName$, "\")
        Do While Sloc <> 0
            PName$ = PName$ & Left$(FName$, Sloc)
            FName$ = Mid$(FName$, Sloc + 1)
            Sloc = InStr(FName$, "\")
        Loop
    Else
        PName$ = ""
        FName$ = Full$
    End If
'
    Dot = InStr(Full$, ".")
    If Dot <> 0 Then
        Ext$ = Mid$(Full$, Dot)
    Else
        Ext$ = ""
    End If
'
'
'
End Function
Public Function FileExists(ByVal FileN$) As Boolean
'
'   Verifica l' esistenza del file FileN$:
'
    Dim res&
'
    On Error Resume Next
'
    res = FileLen(FileN$)
    FileExists = (Err = 0)
    Err.Clear
'
'
'
End Function
Public Function KAscNumInteri(ByVal KA% _
    , Optional ByVal Neg As Boolean = False) As Integer
'
'   Ritorna solo i caratteri validi per un campo
'   contenente un numero intero (anche negativo se
'   viene passato il valore Neg = True).
'   Tutti gli altri caratteri vengono annullati.
'   Va' usato nella procedura KeyPress di TextB come:
'   KeyAscii = KAscNumInteri(KeyAscii [, Neg])
'
    Dim KeyMinus%, TextB As TextBox
'
    Const myKeyMinus% = 45  ' E' il valore effettivamente ritornato
                            ' alla pressione del tasto - ;
                            ' vbKeySubtract (= 109) non funziona.
'
    Set TextB = Screen.ActiveControl
'
    If (Left$(TextB.Text, 1) <> "-" Or TextB.SelText = TextB.Text) _
    And Neg And TextB.SelStart = 0 Then KeyMinus = myKeyMinus
'
    Select Case KA
        Case vbKey0 To vbKey9, KeyMinus, vbKeyBack
        KAscNumInteri = KA
'
        Case Else
        KAscNumInteri = 0
    End Select
'
'
'
End Function

Public Sub AggiornaFilesRecenti(ByVal mnuRecenti As Object, ByVal FileRec$ _
    , Optional ByVal MAXFIL& = 5)
'
'   Aggiunge al menu mnuRecenti() il file FileRec$.
'   mnuRecenti e' una voce di menu, con indice:
'   mnuRecenti(0) e' il titolo, i files da memorizzare
'   iniziano dalla posizione mnuRecenti(1).
'   Se FileRec$ e' gia' presente lo sposta al primo posto.
'   MAXFIL e' il numero massimo di files recenti da ricordare:
'   puo' essere diverso a seconda dell' applicazione che usa
'   questa routine (0 < MAXFIL < 10).
'
    Dim I&, F&, FILN&
    Dim A$, NuovoFile As Boolean
'
    If FileRec$ = "" Then Exit Sub
'
    FILN = mnuRecenti.UBound
'
    NuovoFile = True
    For F = 1 To FILN
        A$ = mnuRecenti(F).Caption
        If UCase$(Right$(A$, Len(A$) - 3)) = UCase$(FileRec$) Then
            NuovoFile = False
            Exit For
        End If
    Next F
    If F > FILN Then F = FILN
'
    If (FILN < MAXFIL) And NuovoFile Then
        FILN = FILN + 1
        F = FILN
        Load mnuRecenti(FILN)
        mnuRecenti(FILN).Visible = True
    End If
'
    mnuRecenti(0).Visible = (FILN > 0)
'
    For I = F To 2 Step -1
        A$ = mnuRecenti(I - 1).Caption
        A$ = "&" & Trim$(Str$(I)) & " " & Right$(A$, Len(A$) - 3)
        mnuRecenti(I).Caption = A$
    Next I
'
    mnuRecenti(1).Caption = "&1 " & FileRec$
'
'
'
End Sub
Public Sub LeggeFileRecenti(ByVal mnuRecenti As Object, ByVal Sezione$ _
    , Optional ByVal MAXFIL& = 5)
'
'   Legge i files recenti dal Registry di Windows
'   e li aggiunge al menu mnuRecenti():
'
    Dim I&, FileRec$
'
    For I = MAXFIL To 1 Step -1
        FileRec$ = GetSetting(App.ProductName, Sezione$, Str$(I), "")
        If FileRec$ <> "" Then
            AggiornaFilesRecenti mnuRecenti, FileRec$
        End If
    Next I
'
'
'
End Sub
Public Sub SalvaFileRecenti(ByVal mnuRecenti As Object, ByVal Sezione$)
'
'   Salva i files recenti, contenuti nel menu mnuRecenti(),
'   nel Registry di Windows:
'
    Dim I&, FileRec$
'
    For I = 1 To mnuRecenti.UBound
        FileRec$ = mnuRecenti(I).Caption
        FileRec$ = Right$(FileRec$, Len(FileRec$) - 3)
        SaveSetting App.ProductName, Sezione$, Str$(I), FileRec$
    Next I
'
'
'
End Sub
Public Function TempFile$(Optional ByVal I3C$ = "TMP" _
    , Optional ByRef TempPath As String)
'
'   Ritorna il Nome di un File temporaneo [da cancellare
'   esplicitamente dopo l' uso].
'   Con I3C$ si possono specificare fino a tre caratteri
'   iniziali per l' identificazione del file:
'
    Dim R1&, lpBuffer$
    Dim TempFileName As String
'
    R1 = GetTempPath(0, "")
    lpBuffer$ = Space(R1)
    R1 = GetTempPath(R1, lpBuffer$)
    TempPath = Left$(lpBuffer$, R1)
'
    TempFileName = Space(MAX_PATH)
    R1 = GetTempFileName(TempPath, I3C$, 0, TempFileName)
    TempFile$ = Trim$(TempFileName)
'
'
'
End Function


